Page MenuHomePhabricator

Standardize name of interface editor group across Wikimedia wikis
Closed, ResolvedPublic

Description

Looks like hewiki (maybe others) use the name "editinterface" for the user group while other wikis use "interface_editor". As a result of this, translation work is also duplicated (at WikimediaMessages). I think we should start using "interface_editor" because 'editinterface' is a user right so it may cause confusion.

Event Timeline

Glaisher created this task.Jan 3 2015, 5:11 PM
Glaisher raised the priority of this task from to Needs Triage.
Glaisher updated the task description. (Show Details)
Glaisher added a subscriber: Glaisher.
This comment was removed by Gerardduenas.
Aklapper triaged this task as Low priority.Jan 3 2015, 8:56 PM

[offtopic] Please avoid contentless "+1" comments as they create notifications. Use tokens instead. Thank you!

https://gerrit.wikimedia.org/r/#/c/183056/

'editinterface' is a right so calling the group also 'editinterface' might cause confusion.. This is why I think we should use another name, not 'editinterface' for the group name.

@Glaisher What about something like editinterfacegroup or syseditor or configeditor?

It can be also called 'technician'

The easiest way to fix this one is change hewiki's 'editinterface' to 'interface_editor"... but apparently we don't like "interface_editor" much due to the underscore.

For consistency, we should change all these to 'interface-editor'. We've got 'global-renamer', 'massmessage-sender', 'Image-reviewer' etc(?). But this would require, changing i18n messages and rights changes across all the wikis (after coordinating with the community) with this group currently. Is it worth it?

I don't really think this is worth it at all. I think that interface_editor is ok.

Yes, I agree with Gerardduenas, but if it is not correct we can change the _ to -. That's not a big change!

[...] if it is not correct we can change the _ to -. That's not a big change!

Right, it's not a big change itself, but still it would require changing lots of other things.

Also noting that this is currently blocking T85713

I don't see where is the problem if ptwiki, ckbwiki, elwiktionary, jawiki have already a user group called interface_editor

Ok, that's difficult. But we have to change it because there are other wikis with this user group and this name. We can leave a message to their local Village pumps to have a consensus for the change.

Krinkle added a subscriber: Krinkle.Jan 7 2015, 4:50 PM

I think per MediaWiki convention, these internal ids are either one word or dash-separated (because underscores have special meaning, especially in interface message keys).

Use interfaceeditoror or interface-editor instead of interface_editor.

Then the best option from my point of view would be interface-editor.

TTO added a comment.Jan 8 2015, 2:13 AM

I would support changing these groups to interface-editor for consistency with other groups. I don't think this action would require community consensus, as it is merely an internal change that most communities will not notice.

To undertake this change I think we would need to

  • add relevant messages to WikimediaMessages
  • add permissions for interface-editor alongside the existing groups in wgGroupPermissions in InitialiseSettings
  • replace the old group names with interface-editor in wgAddGroups and wgRemoveGroups
  • run UPDATE queries against the user_groups table on all affected wikis (and possibly user_former_groups as well)
  • remove permissions from the old groups in InitialiseSettings
  • remove old messages from WikimediaMessages

This leaves only log entries with the old group names, but I think we can leave them be.

@Reedy, would you feel comfortable with this procedure on production?

Vogone added a comment.Jan 8 2015, 5:36 AM

I was under impression we do not change already implemented group names, even if wrongly named. enwiki has also a case where the autopatrolled group is internally called 'autoreviewer'.

Glaisher raised the priority of this task from Low to Normal.Jan 9 2015, 9:46 AM
Gerardduenas added a comment.EditedJan 10 2015, 9:16 AM

I see your point @Vogone if it works it's better not to change it. Although I think that if we plan the well renaming this souldn't bring up many bugs and would avoid future errors or confusions.

Technical13 added a comment.EditedJan 24 2015, 5:10 PM

I agree with the technician suggestion above; these users are allowed to do much more that just edit messages in the MediaWiki: namespace, get templateeditor as part of their rights (at least globally), and are more of a technician or a coder and limiting their title to just one aspect of their abilities seems annoyingly insulting to me. I also support @Glaisher's idea of having a global-technician counterpart for the global right.

I disagree with 'technician'. trwiki already does have technician with abusefilter-* rights as well. Also, I don't understand why it is insulting as templates are part of the interface anyway.

Technical13 added a comment.EditedJan 24 2015, 5:23 PM

I disagree with 'technician'. trwiki already does have technician with abusefilter-* rights as well.

Perhaps admintech or something of that nature then? I'm just opposed to a title that describes the scope of what these users can do to one of the userrights contained within.

Also, I don't understand why it is insulting as templates are part of the interface anyway.

Templates are a tool used in content, they have nothing to do with the MediaWiki software's interface.

gerritbot added a subscriber: gerritbot.

Change 186593 had a related patch set uploaded (by Glaisher):
Standardize the name of interface editor group

https://gerrit.wikimedia.org/r/186593

Patch-For-Review

Glaisher added a comment.EditedJan 24 2015, 5:37 PM

Request to rename global group here. (permalink )

Standarizing the name seems fine although referring to what @Vogone said, if keeping it as it is internally would suffice so as not to have to do the database work would be best. Apart from that, have at it.

@Reedy could you confirm that we are doing this by directly running queries against the DB or should we do it manually? I don't think it would be that difficult to do it manually as 5 wikis are affected by the patch.

Nemo_bis added a subscriber: Nemo_bis.EditedJan 24 2015, 7:26 PM

A steward is enough, if warned some minutes before the configuration change is deployed. The message change doesn't need to be so tightly coordinated. It's true that such group renames are not usually worth it, depends on how many rights changes etc. it involves.

T-13, please keep your rename proposals on a separate ticket (or better, a [[m:Wikimedia Forum]] discussion). This is not a report about radical name changes.

T-13, please keep your rename proposals on a separate ticket (or better, a [[m:Wikimedia Forum]] discussion). This is not a report about radical name changes.

@Nemo_bis, this is a report to change the name, and if it is going to be changed anyways, it should be changed to something accurate.

He7d3r added a subscriber: He7d3r.Jan 24 2015, 8:38 PM

@Nemo_bis, this is a report to change the name, and if it is going to be changed anyways, it should be changed to something accurate.

This is simply about standardizing the name of the group, not introducing a completely different name.

revi added a subscriber: revi.Jan 25 2015, 10:16 AM

Change 186744 had a related patch set uploaded (by Glaisher):
Remove 'editinterface', 'interface_editor' and add 'interface-editor'

https://gerrit.wikimedia.org/r/186744

Patch-For-Review

As Vogone suggested, I've used m:Interface editors as the grouppage link as the global group also use this name and override where the local group is present. I suppose we could run migrateUserGroup.php for changing the users to the new group.

Nemo_bis removed a subscriber: Nemo_bis.Feb 1 2015, 5:24 PM
tomasz added a subscriber: tomasz.Feb 22 2015, 11:31 AM

Change 186593 merged by jenkins-bot:
Standardize the name of interface editor group

https://gerrit.wikimedia.org/r/186593

Change 186744 merged by jenkins-bot:
Standardize the name of interface editor groups

https://gerrit.wikimedia.org/r/186744

Change 192557 had a related patch set uploaded (by Chad):
Standardize the name of interface editor groups

https://gerrit.wikimedia.org/r/192557

Patch-For-Review

Change 192558 had a related patch set uploaded (by Chad):
Standardize the name of interface editor groups

https://gerrit.wikimedia.org/r/192558

Patch-For-Review

Change 192557 merged by jenkins-bot:
Standardize the name of interface editor groups

https://gerrit.wikimedia.org/r/192557

Change 192558 merged by jenkins-bot:
Standardize the name of interface editor groups

https://gerrit.wikimedia.org/r/192558

Glaisher closed this task as Resolved.Feb 24 2015, 4:51 PM
Glaisher claimed this task.

Patches deployed and the script has been run. Everything looks fine. I'll ask a steward to rename the global group and ask at other wikis to update the links. Thanks again, Chad!

Glaisher added a comment.EditedFeb 24 2015, 4:59 PM

Note that elwiktionary's config has also been fixed in the patch. Previously, it was 'interface_editors' in $wgAddGroups while the actual group name was 'interface_editor')

Calak added a subscriber: Calak.Mar 11 2015, 1:23 PM

@Glaisher You forgot to change 'interface_editor' on abusefilter.php. Now we have two distinct user groups on ckbwiki.

eh... sorry..will fix it later. :/ have to leave now

Change 195934 had a related patch set uploaded (by Glaisher):
Update 'interface_editor' to 'interface-editor' at ckbwiki

https://gerrit.wikimedia.org/r/195934

Change 195934 merged by jenkins-bot:
Update 'interface_editor' to 'interface-editor' at ckbwiki

https://gerrit.wikimedia.org/r/195934

@Calak fixed now. thanks for reporting

Glaisher set Security to None.
He7d3r added a comment.EditedMar 27 2015, 11:56 AM

FYI: This required a follow-up by @Silent in one of the popular gadgets on Portuguese Wikipedia.
https://pt.wikipedia.org/w/index.php?diff=41744813

He7d3r added a subscriber: Silent.Mar 27 2015, 7:24 PM